Firmware versions

Create firmware version

POST
/workspaces/{workspaceId}/firmwares/{firmwareId}/versions

Authorization

API key Firmwares: write
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Firmwares: write

Path Parameters

workspaceId*string
Formatuuid
firmwareId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/firmwares/q8Fd53pLn1Yr/versions"

Created firmware version.

{  "id": "r2Kt75mXc8Vd",  "name": "2.4.1",  "createdAt": "2026-01-10T15:30:00+00:00",  "assignedSymbolFilesCount": 0,  "firmwareImageId": "y7Bs21fWn5Hk",  "isUsedInDeployment": false,  "deviceCount": 0}